ChartDirector Ver 5.0 (PHP Edition)

XYChart.addAreaLayer

Usage

addAreaLayer(data [, color [, name [, depth ]]])

Description

Adds an area chart layer to the XYChart, and specify the data set to use for drawing the area.

Arguments

Argument | Default | Description
--- | --- | ---
data | (Mandatory) | An array of numbers representing the data set.
color | -1 | The color to draw the area. -1 means that the color is automatically selected from the color palette.
name | "" | The name of the data set. The name will be used in the legend box, if one is available. An empty string means the data set has no name.
depth | 0 | The 3D depth of the area layer.

Return Value

An AreaLayer object representing the area layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.